Microsimulation API: Table< I0, I1, Outcome > Class Template Reference

Microsimulation API

Public Types | Public Member Functions | Private Attributes | List of all members
Table< I0, I1, Outcome > Class Template Reference

`#include <rcpp_table.h>`

Collaboration diagram for Table< I0, I1, Outcome >:
[legend]

## Public Types
typedef std::tuple< I0, I1 > | key_type
typedef Outcome | mapped_type
typedef std::tuple< set< I0, greater< I0 > >, set< I1, greater< I1 > > > | Axis

## Public Member Functions
| Table ()
void | insert (I0 key0, I1 key1, mapped_type outcome)
virtual Outcome | operator() (I0 i0, I1 i1)
| Table (const DataFrame &df, string s0, string s1, string s2)

## Private Attributes
Axis | axis
map< key_type, mapped_type > | data

## Detailed Description

### template<class I0, class I1, class Outcome>
class Table< I0, I1, Outcome >

Definition at line 270 of file rcpp_table.h.

## Member Typedef Documentation

## ◆ Axis

template<class I0 , class I1 , class Outcome >

typedef std::tuple< set<I0, greater<I0> >, set<I1, greater<I1> > > Table< I0, I1, Outcome >::Axis

Definition at line 277 of file rcpp_table.h.

## ◆ key_type

template<class I0 , class I1 , class Outcome >

typedef std::tuple<I0,I1> Table< I0, I1, Outcome >::key_type

Definition at line 272 of file rcpp_table.h.

## ◆ mapped_type

template<class I0 , class I1 , class Outcome >

typedef Outcome Table< I0, I1, Outcome >::mapped_type

Definition at line 273 of file rcpp_table.h.

## Constructor & Destructor Documentation

## ◆ Table() [1/2]

template<class I0 , class I1 , class Outcome >

Table< I0, I1, Outcome >::Table | ( |  | ) |
| inline

Definition at line 278 of file rcpp_table.h.

## ◆ Table() [2/2]

template<class I0 , class I1 , class Outcome >

Table< I0, I1, Outcome >::Table | ( | const DataFrame & | df,
|  | string | s0,
|  | string | s1,
|  | string | s2
| ) |  |
| inline

Definition at line 289 of file rcpp_table.h.

## Member Function Documentation

## ◆ insert()

template<class I0 , class I1 , class Outcome >

void Table< I0, I1, Outcome >::insert | ( | I0 | key0,
|  | I1 | key1,
|  | mapped_type | outcome
| ) |  |
| inline

Definition at line 279 of file rcpp_table.h.

## ◆ operator()()

template<class I0 , class I1 , class Outcome >

virtual Outcome Table< I0, I1, Outcome >::operator() | ( | I0 | i0,
|  | I1 | i1
| ) |  |
| inlinevirtual

Definition at line 285 of file rcpp_table.h.

## Member Data Documentation

## ◆ axis

template<class I0 , class I1 , class Outcome >

Axis Table< I0, I1, Outcome >::axis
| private

Definition at line 298 of file rcpp_table.h.

## ◆ data

template<class I0 , class I1 , class Outcome >

map<key_type,mapped_type> Table< I0, I1, Outcome >::data
| private

Definition at line 299 of file rcpp_table.h.

The documentation for this class was generated from the following file:

- /home/marcle/src/R/microsimulation/inst/include/rcpp_table.h